require 'test/unit'
require 'priceMarkup'

class MarkupTest < Test::Unit::TestCase
 
# Default priceMarkup is 0.25

  def test_integer_with_default_true
    assert_equal 125.to_s,
    Dowstore.priceMarkup(100)
  end

def test_integer_with_default_false
    assert_not_equal 100,
    Dowstore.priceMarkup(100)
  end

def test_integer_without_default_true_one
    assert_equal 300.to_s,
    Dowstore.priceMarkup(100, 2)
  end

def test_integer_without_default_false_one
    assert_not_equal 200.to_s,
    Dowstore.priceMarkup(100, 2)
  end


def test_integer_without_default_true_two
    assert_equal "300.000",
    Dowstore.priceMarkup(100, 2, 3)
  end

def test_integer_without_default_false_two
    assert_not_equal "300.00",
    Dowstore.priceMarkup(100, 2, 3)
  end

def test_integer_without_default_true_three
    assert_equal "300",
    Dowstore.priceMarkup(100, 2, 0)
  end

def test_integer_without_default_false_three
    assert_not_equal "300.0",
    Dowstore.priceMarkup(100, 2, 0)
  end

def test_integer_without_default_true_four
    assert_equal "355.6",
    Dowstore.priceMarkup(100, 2.5556, 1)
  end

def test_integer_without_default_false_four
    assert_not_equal "355.5",
    Dowstore.priceMarkup(100, 2.5556, 1)
  end

def test_real_with_default_true
    assert_equal "125.94",
    Dowstore.priceMarkup(100.75)
  end

def test_real_with_default_false
    assert_not_equal "125.940",
    Dowstore.priceMarkup(100.75)
  end

def test_real_without_default_true_one
    assert_equal "357.66",
    Dowstore.priceMarkup(100.75, 2.55)
  end

def test_real_without_default_false_one
    assert_not_equal "357.660",
    Dowstore.priceMarkup(100.75, 2.55)
  end

def test_real_without_default_true_two
    assert_equal "352.6250",
    Dowstore.priceMarkup(100.75, 2.5, 4)
  end

def test_real_without_default_false_two
    assert_not_equal "352.625",
    Dowstore.priceMarkup(100.75, 2.5, 4)
  end

def test_real_without_default_true_three
    assert_equal "353",
    Dowstore.priceMarkup(100.75, 2.5, 0)
  end

def test_real_without_default_false_three
    assert_not_equal "353.0",
    Dowstore.priceMarkup(100.75, 2.5, 0)
  end

end
